LOADKEYS(1)

NAME
loadkeys, dumpkeys - load and dump keyboard translation tables

SYNOPSIS
loadkeys [ -e ] [ filename ]

dumpkeys

DESCRIPTION

  loadkeys

loadkeys reads the file specified by filename, and modifies the keyboard streams module's translation tables. If no file is specified, and the keyboard is a Type-4 keyboard, a default file for the layout indicated by the DIP switches on the keyboard. The file is in the format specified by keytables(5).

If the layout code in the DIP switches on the keyboard has the hexadecimal value 0xdd, the file loaded by loadkeys by default is /usr/share/lib/keytables/layout_dd. These files specify only the entries that change between the different Type-4 keyboard layouts.

  dumpkeys

dumpkeys writes, to the standard output, the current contents of the keyboard streams module's translation tables, in the format specified by keytables(5).

OPTIONS

-e  loadkeys loads the requested keytable layout information into the EEPROM keytables. This allows the console monitor to select the correct key-values when a non-US keyboard is connected to the workstation.

FILES
/usr/share/lib/keytables/layout_dd
    default keytable files

SEE ALSO
kb(4M), keytables(5)

BUGS

The -e option requires EEPROM rev 2.6 or later.